#ifndef ORACLE10GOREXTENSION_H_
#define ORACLE10GOREXTENSION_H_

#include "iopcdb/driverExtension.h"
#include "iopccommon/defs.h"
#include "oracle10gORStatementsFeature.h"
#include "oracle10gMappingStatementsFeature.h"
#include "oracle10gObjectStatementsFeature.h"
#include "iopclib/db/statementCache.h"

namespace iopc {

class Type;
class Driver;

class DLL_EXTERNAL Oracle10gORExtension : public DriverExtension
{
private:
	StatementCache cache;
	Oracle10gORStatementsFeature orStatementsFeature;
	Oracle10gMappingStatementsFeature mappingStatementsFeature;
	Oracle10gObjectStatementsFeature objectStatementsFeature;
	//void processType(const Type* type, bool useOracleObjects, const Type* rootType);
protected:
	virtual void doInit(Driver& driver);
public:	
	Oracle10gORExtension(const std::string& driverName, const std::string& name);
};

}


#endif /*ORACLE10GOREXTENSION_H_*/
